Get

  • GET
  • /workspaces
  • /:workspace

Get a specific workspace by domain

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the workspace
namestring
The name of the workspace
domainstring
The human-readable ID of the workspace. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
owner_idinteger
The ID of the workspace owner
frozenboolean
Whether the workspace is frozen
create_datestring
The date and time when the workspace was created
default_pipeline_resourcestring enum
Default pipeline resource allocation for the workspace
Allowed enum:
DEFAULT,
NANO,
SMALL,
MEDIUM,
LARGE,
XLARGE,
CUSTOM,
X2LARGE
sso_enabledboolean
Whether Single Sign-On (SSO) is enabled for the workspace
public_pipelines_disabledboolean
Whether public pipelines are disabled in the workspace

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company", "html_url": "https://app.buddy.works/my-company", "id": 1, "name": "My Company", "domain": "my-company", "owner_id": 123, "frozen": false, "create_date": "2023-01-15T10:30:00.123456789Z", "default_pipeline_resource": "MEDIUM", "sso_enabled": true, "public_pipelines_disabled": false }
STATUS
200 OK